EDIT

Based on your clarification you're looking for pod outdated. You can see more information about this with pod outdated --help

Original answer before question was edited

The command you want is pod --version

In the future you should use pod --help to find answers such as this. You can also use pod COMMAND --help to get help for specific commands.